%define	translation_ver	2017.11.23
%define oname mintmenu

Name:		mate-mint-menu
Version:	5.8.4
Release:	%mkrel 1
License:	GPLv2
Summary: 	Advanced Mate menu
Group:		Graphical desktop/Mate
URL:		https://github.com/linuxmint/mintmenu
BuildArch:	noarch
Source0:	http://packages.linuxmint.com/pool/main/m/mintmenu/%{oname}-%version.tar.xz
Source1:	http://packages.linuxmint.com/pool/main/m/mint-translations/mint-translations_%{translation_ver}.tar.xz
Source3:	software.png
Source4:	applications.list.in
Source33:	mintmenu_test.sh
Source34:	list-mintmenu.conf
Source35:	list-mintmenu.lua
Source36:	list-mintmenu.ignore
Source37:	pclogo.svg
Source38:	mintMenu.png
Source39:	pcc.png
Source40:	synaptic.svg
Source41:	icon.png
Source50:	mintmenu.watch

# This contains all the cumulative changes in one single patch (p1-p12)
Patch:		mate-mint-menu-pclos-changes.patch
# This disables apt package management features of mintmenu
Patch0:		mate-mint-menu-remove-apt-mgmt.patch

#### NOTE: The following are given only for reference ####
#----------------------------------------------------------------
# modified mga patches
Patch1:		mintmenu-5.7.3-drakxtools-with-new-icon.patch
Patch2:		mintmenu-5.7.3-migrate-to-datadir-with-svg-icon.patch
Patch3:		mintmenu-5.7.3-run_as_superuser.patch
Patch4:		mintmenu-5.7.3-remove_apt_cache.patch
Patch5:		mintmenu-5.7.3-fix_locale_dir.patch
Patch6:		mintmenu-5.6.2-fix_menu_crashing
Patch7:		mintmenu-5.6.2-remove-uninstall.patch
Patch8:		mintmenu-5.7.3-search-engines.patch
Patch9: 	mintmenu-5.7.3-applications-list.patch
Patch10:	mintmenu-5.7.3-about.patch
Patch11:	mintmenu-5.7.3-xdg_paths.patch
#----------------------------------------------------------------
# alt patches
Patch12:	mintmenu-alt-drop-mintinstall-check.patch
#----------------------------------------------------------------

BuildRequires:	pkgconfig(gobject-introspection-1.0)
Requires: 	mate-menu-editor
Requires:	mate-panel
Requires:	python < 3.0
Requires:	python >= 2.4
Requires:	pygtk2.0
Requires:	pygtk2.0-libglade
Requires:	python-pyxdg
Requires:	python-xlib
Requires:	mate-icon-theme
Requires:	mate-control-center
Requires:	python-configobj
Requires:	python-setproctitle
Requires:	xdg-utils
Requires:	gksu
Requires:	python-gobject3

%description
An advanced "slab" style menu for Linux. MintMenu supports filtering, favorites,
auto-session, and many other features.

MintMenu can either be added to your mate-panel or launched in its own window.

%prep
%setup -qn %{oname} -a 1
# Apply the cumulative patch
%patch -p1
%patch0 -p1

%build
# nothing

%install
rm -rf %buildroot

# Remove applications.list. We have our own
rm -rf %{buildroot}/usr/lib/linuxmint/mintMenu/applications.list

# Remove pre-compiled files.
find . -name '*.orig' -exec rm -f {} ';'
find . -name '*.pyc' -exec rm -f {} ';'
find . -name '*.pot' -exec rm -f {} ';'
find . -name '*~' -exec rm -f {} ';'

# build translations
pushd mint-translations
make
popd
# Remove translations other than mintmenu
find mint-translations -not -name 'mintmenu.mo' -type f -exec rm -f {} ';'

install -d -p %{buildroot}%{_bindir}/
install -m 755 -p usr/bin/mintmenu %{buildroot}%{_bindir}/mintmenu

install -d -p %{buildroot}%{_datadir}/mintMenu
install -m 644 -p usr/lib/linuxmint/mintMenu/*.* %{buildroot}%{_datadir}/mintMenu/
rm -rf %{buildroot}%{_datadir}/mintMenu/*.py
rm -rf %{buildroot}%{_datadir}/mintMenu/*.orig
install -m 755 -p usr/lib/linuxmint/mintMenu/*.py %{buildroot}%{_datadir}/mintMenu/
install -d -p %{buildroot}%{_datadir}/mintMenu/plugins
install -m 644 -p usr/lib/linuxmint/mintMenu/plugins/* %{buildroot}%{_datadir}/mintMenu/plugins/
install -m 755 -p usr/lib/linuxmint/mintMenu/plugins/*.py %{buildroot}%{_datadir}/mintMenu/plugins/
install -d -p %{buildroot}%{_datadir}/mintMenu/search_engines

# Remove software.png provided by upstream
rm -f usr/lib/linuxmint/mintMenu/search_engines/software.png
install -m 644 -p usr/lib/linuxmint/mintMenu/search_engines/* %{buildroot}%{_datadir}/mintMenu/search_engines/

# Add our software.png
install -m 644 -p %{_sourcedir}/software.png %{buildroot}%{_datadir}/mintMenu/search_engines/

# Install our applications.list
install -m 644 -p %{_sourcedir}/applications.list.in %{buildroot}%{_datadir}/mintMenu/applications.list

install -d -p %{buildroot}%{_datadir}/dbus-1/services
install -m 755 -p usr/share/dbus-1/services/* %{buildroot}%{_datadir}/dbus-1/services/

install -d -p %{buildroot}%{_datadir}/glib-2.0/schemas/
install -m 644 -p usr/share/glib-2.0/schemas/* %{buildroot}%{_datadir}/glib-2.0/schemas/

install -d -p %{buildroot}%{_datadir}/mate-panel/applets/
install -m 644 -p usr/share/mate-panel/applets/* %{buildroot}%{_datadir}/mate-panel/applets/

cp -r mint-translations/usr/share/linuxmint/* %{buildroot}%{_datadir}/
chmod -R u+rw,g-w,g+r,o+r,o-w %{buildroot}%{_datadir}/locale/*

%{find_lang} %{oname} --with-gnome --all-name

# taken from alt-linux v5.7.x - do we require them?
#install -Dm644 %SOURCE34 %buildroot/etc/apt/apt.conf.d/list-mintmenu.conf
#install -Dm755 %SOURCE35 %buildroot/usr/share/apt/scripts/list-mintmenu.lua
#install -Dm644 %SOURCE36 %buildroot/etc/buildreqs/files/ignore.d/list-mintmenu

# install manpage
install -Dm644 usr/share/man/man1/mintmenu.1 %{buildroot}%{_mandir}/man1/mintmenu.1

# check mintmenu
sh -v %SOURCE33

# our pclos logo in the right place
rm -f %{buildroot}%{_datadir}/mintMenu/mint-logo.svg
install -Dm644 %SOURCE37 %{buildroot}%{_datadir}/mintMenu/mint-logo.svg
#install -Dm644 %SOURCE37 %{buildroot}%{_datadir}/icons/pclogo.svg
install -Dm644 %SOURCE37 %{buildroot}%{_datadir}/pixmaps/mintmenu.svg

# Use alternative for menu button icon
rm -f %{buildroot}%{_datadir}/mintMenu/mintMenu.png
install -Dm644 %SOURCE38 %{buildroot}%{_datadir}/mintMenu/mintMenu.png

# icon for pcc
install -Dm644 %SOURCE39 %{buildroot}%{_datadir}/icons/pcc.png
install -Dm644 %SOURCE40 %{buildroot}%{_datadir}/icons/synaptic.svg

# some more cosmetics
rm -f %{buildroot}%{_datadir}/mintMenu/icon.png
convert -scale 24x24 %SOURCE41 %{buildroot}%{_datadir}/mintMenu/icon.png
convert -scale 64x64 %SOURCE41 %{buildroot}%{_datadir}/mintMenu/icon.svg

%files  -f %{oname}.lang
%doc COPYING debian/changelog debian/copyright
%{_bindir}/mintmenu
%dir %{_datadir}/mintMenu
%{_datadir}/mintMenu/*.*
%{_datadir}/mintMenu/plugins/
%{_datadir}/mintMenu/search_engines/*
%dir %{_datadir}/glib-2.0/schemas/
%{_datadir}/glib-2.0/schemas/*
%dir %{_datadir}/mate-panel/applets/
%{_datadir}/mate-panel/applets/*
%dir %{_datadir}/dbus-1/services/
%{_datadir}/dbus-1/services/*
#%{_datadir}/icons/pclogo.svg
%{_datadir}/icons/pcc.png
%{_datadir}/icons/synaptic.svg
%{_datadir}/pixmaps/mintmenu.svg
%{_mandir}/man1/mintmenu.1.*

# list-mintmenu
#%{_datadir}/apt
#%config /etc/apt/apt.conf.d/*
#%config /etc/buildreqs/files/ignore.d/*


%changelog
* Sat Dec 02 2017 Zen Subz <techars21 at gmail dot com> - 5.8.4-1pclos2017
- Update to latest release with gtk3 support
- Add python-setproctitle as runtime-requirement
- Modified patches as required for new version
- Added new icons for menus/logo, updated translations

* Sat Apr 11 2015 bb <bb> 5.6.2-1pclos2015
- update for Mate 1.10.0
